org.eclipse.ui.actions

## Class AddBookmarkAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.ui.actions.SelectionListenerAction
          - - org.eclipse.ui.actions.AddBookmarkAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class AddBookmarkAction
    extends SelectionListenerAction

Standard action for adding a bookmark to the currently selected file resource(s).

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static String` `ID` The id of this action.

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`AddBookmarkAction(IShellProvider provider, boolean promptForName)` Creates a new bookmark action.
`AddBookmarkAction(Shell shell)` Deprecated. see `AddBookmarkAction(IShellProvider, boolean)`
`AddBookmarkAction(Shell shell, boolean promptForName)` Deprecated. see `AddBookmarkAction(IShellProvider, boolean)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` The default implementation of this `IAction` method does nothing.
`protected boolean` `updateSelection(IStructuredSelection selection)` The `AddBookmarkAction` implementation of this `SelectionListenerAction` method enables the action only if the selection is not empty and contains just file resources.

### Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction

`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

The id of this action.

See Also:
  Constant Field Values

### Constructor Detail

#### AddBookmarkAction

    @Deprecated
    public AddBookmarkAction(Shell shell)

Deprecated. see `AddBookmarkAction(IShellProvider, boolean)`
Creates a new bookmark action. By default, prompts the user for the bookmark name.

Parameters:
  `shell` - the shell for any dialogs

#### AddBookmarkAction

    @Deprecated
    public AddBookmarkAction(Shell shell,
                                         boolean promptForName)

Deprecated. see `AddBookmarkAction(IShellProvider, boolean)`
Creates a new bookmark action.

Parameters:
  `shell` - the shell for any dialogs
  `promptForName` - whether to ask the user for the bookmark name

#### AddBookmarkAction

    public AddBookmarkAction(IShellProvider provider,
                             boolean promptForName)

Creates a new bookmark action.

Parameters:
  `provider` - the shell provider for any dialogs. Must not be `null`
  `promptForName` - whether to ask the user for the bookmark name
Since:
  3.4

### Method Detail

#### run

    public void run()

Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`

#### updateSelection

    protected boolean updateSelection(IStructuredSelection selection)

The `AddBookmarkAction` implementation of this `SelectionListenerAction` method enables the action only if the selection is not empty and contains just file resources.

Overrides:
  `updateSelection` in class `BaseSelectionListenerAction`
Parameters:
  `selection` - the new selection
Returns:
  `true` if the action should be enabled for this selection, and `false` otherwise